description: The base profile extended by other profiles
skeleton:
  executable:
  - '**/gradlew*'
  - '**/grailsw*'
  binaryExtensions:
  - png
  - gif
  - jpg
  - jpeg
  - ico
  - icns
  - pdf
  - zip
  - jar
  - class
repositories:
- mavenCentral()
build:
  repositories:
  - mavenCentral()
  - https://plugins.gradle.org/m2/
  - https://repo.gradle.org/gradle/libs-releases
  plugins:
  - eclipse
  - idea
dependencies:
- scope: build
  coords: org.graceframework:grace-gradle-plugin:@grace.version@
- scope: compile
  coords: org.springframework.boot:spring-boot-starter-logging
- scope: compile
  coords: org.springframework.boot:spring-boot-starter-validation
- scope: compile
  coords: org.graceframework:grace-core
- scope: testCompile
  coords: org.graceframework:grace-test-support
- scope: testCompile
  coords: org.mockito:mockito-core
- scope: console
  coords: org.graceframework:grace-console
name: base
extends: ''
commands:
  console: console.groovy
  create-script: create-script.groovy
  bug-report: bug-report.groovy
  run-app: run-app.groovy
  stats: stats.groovy
  about: about.groovy
  test-app: test-app.groovy
  run-script: run-script.groovy
  list-plugins: list-plugins.groovy
  assemble: assemble.groovy
  shell: shell.groovy
  plugin-info: plugin-info.groovy
  dependency-report: dependency-report.groovy
  stop-app: stop-app.groovy
  run-command: run-command.groovy
  create-unit-test: create-unit-test.yml
  clean: clean.yml
  package: package.yml
  compile: compile.yml
  create-command: create-command.yml
  create-domain-class: create-domain-class.yml
  create-plugin: create-plugin.yml
features:
  provided:
  - hibernate
  - json-views
  - events
  - geb
  - gsp
  - database-migration
  - asset-pipeline
  - markup-views
templates:
- testing/DomainClass.groovy
- testing/UnitTest.groovy
- testing/Generic.groovy
- artifacts/DomainClass.groovy
- artifacts/Plugin.groovy
- artifacts/Command.groovy
- artifacts/Script.groovy
